/// class PD.Manage.Modules.ActiveDirectoryContextMenu
// using PD.Web.UI.Controls.ContextMenuSegment

PD.Manage.Modules.ActiveDirectoryContextMenu =
PD.Web.UI.Controls.ContextMenuSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/active-directory:sync/edit-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/active-directory:sync/delete"
        }));

    },

    onOpen: function (e) {

        PD.context.get_default().get_commands().setState({
            "pd/active-directory/context-menu": {
                sync: this.get_context()["sync"]
            }
        });

    }

});